Subject: bug#15396: permanent-local truncate-lines

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Sep 2013 21:09:59 -0400

> FWIW, the manual says that "Permanent locals are appropriate for data
> pertaining to where the file came from or how to save it, rather than
> with how to edit the contents."

I think this makes a lot of sense for permanent-local settings made by
major-mode code.  But if the user calls M-x toggle-truncate-lines,
presumably it's because he finds the text to be more readable this way,
which will presumably still be the case after he changes major-mode.

IOW, maybe it's toggle-truncate-lines which should try and arrange for
the settings to survive a change of major-mode.

        Stefan